Subject: bug#26327: 25.1; electric-pair-syntax-info unaware of syntax-table property

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Dec 2020 11:00:16 +0100

Leo Liu <[email-masked]> writes:

> I can't remember what I had in mind at that time.
>
> But I imagine if ` and ' have word syntax but `` and '' are
> syntax-propertized to behave like matching parentheses, then function
> syntax-table is not the correct way to access syntax info.
>
> The issue is not specific to elec-pair. Any program that needs to get
> the syntax of the char at point needs to check the syntax-table property
> first and then check (syntax-table).

It's a bit abstract -- unless we have a concrete case to look at, it's
unlikely that there'll be any progress on this issue.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no